<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MAiNGO Reader Writer Utility: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MAiNGO Reader Writer Utility
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index__"></a>- _ -</h3><ul>
<li>_add_division_log10()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a947e7ea746bdc82d4765c849a4b37010">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_check_feasibility()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8fdbe17b58ab341b8510c1d89ac898ac">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_check_for_MAiNGO()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af18d614cb09d0e7c66df624b1ebf5baa">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_find_variable()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a831457d4f52535011393f66a60661948">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_insert_line_breaks_in_string()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a6a2146aff48e9e18e9c0c585ceeb7ab8">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_constraints()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a9a22026caa277d0f37731e42c135260f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_initial_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a124634083d318e9cd2d66ac3a8d5cc5e">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_problem_info()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a315bb5b157d86850e81ee1cfd226046d">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_statistics()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#adfa1c3d24e50afa382790d81c6de8d79">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_variable_bounds()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a148ad06a23807ab6949a7355d9ca6011">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_remove_bab()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aa68e1c89215e453ef26d076c1e1d861d">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_remove_chars_from_string()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af68310ca8d478d31f8fa349d363198d1">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_rename_double_asterisk()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aad98aec678ad12779a25c49b8f59d9ae">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_rename_logs()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5d2475f23fa5fe75bdd9ab7960f79c46">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_rename_powers()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5e1c361b80a929dc3c8d053c99f5e0d0">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_rename_variables_and_constraints()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ab6cd6b9d1568c2d8d9f095693d28d505">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_replace_all_variables_in_constraint()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5132c9c4467da6461ddf8d63d9487973">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_set_variable_initial_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ad2c00a5f9ad5572dbb2ceb6eb014c19e">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_set_variable_lower_bound()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ace3c2f2695ad65f2e888a98d316582e9">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_set_variable_upper_bound()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a6d0f5fbe7cdf0f0ecb818e948ba040e1">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_ALE_functions()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af66962c7ca7e641469dea37a54ad7bfa">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_ALE_initial_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a260d69983109f5e93a60c6241dea82b5">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_ALE_variables()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a62fda82e8e5cd6b1a64484e3c719dcf2">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_constructor()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8891e5981c20b2d3c165b30c290c7f83">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_evaluate()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#addf2ee7245beec707176837048464380">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_initial_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a6b301ba83f883a19d591a479ab7eaef7">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_model()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a7a1c6122f01e8d9d15b04aee496623ae">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_variables()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae17cbf66de7034208c293b2acf612869">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>convert_GAMS_folder_to_ALE_problem()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae834a7bcc749ec79410a278151c50978">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>convert_GAMS_folder_to_MAiNGO_problem()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af20b0cf08b2741e07e57de1d7a130d43">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>get_additional_output()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0d1f1a6b983d4d9e07668a2848e4b24f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_cpu_time_needed_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aaedb48f4a5f3743964fed0164cefc471">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_feasibility_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5be563e56adc4d61e2550004f697ad90">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_final_abs_gap_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af8af57084282c38aafe372ccd92850b7">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_final_lbd_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a11daac8744ab1a87d2484e306e24675c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_final_obj_val_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aab6f753250f6c6c97c8df12f14b0c3a2">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_final_rel_gap_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aada0529f94e781165ab2c65e000bb1e6">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_minimizing_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a98277a362e3a3347c89adbee7aa6925f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_best_first_found_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ac480e47f23cf00c8ac084c345e4132c9">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_bin_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ab9a78f7ad73f77899f875548e921ceba">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_constraints_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a55efae07778cee46acb9391cd4e5d79c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_cont_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae9992a32fac3370e5023b5c018ee451a">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_eq_constraints_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5111a32de5a72aee10ed1a5e8e0982da">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_equalities_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8ee90625afe023bea2823008c7756d04">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_fixed_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a036cb44d5313f1d63a1e2ea95a9a8309">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_gineq_constraints_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a219105f18e41ec9ee66ca37dde553874">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_inequalities_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a4d475c18e77e8dfc6bd1cc525b7fc0d6">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_int_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0fed1a7764c8e83281dc07bf89479b3f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_iterations_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a564b6d788fc20aa538479ca6761b219f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_lbd_solved_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aff2a264367f93911d5db1d888ecd0791">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_lineq_constraints_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aa43981fa1b5a83abb2a4b7f731e3815b">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_nodes_in_memory_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a7ff66b6d0e343047ffffffd01e085f6d">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_rel_only_eq_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae1727b5ef4bdd65446a3fc00e83a3b93">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_rel_only_ineq_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0fb3c395876c148a05f608e503900a69">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_ubd_solved_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a2cbee5053d44eb0ab42a5f9295a4ead4">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a946f8272a3d4d5388ef6acda7975823c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_variables_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a65fb8e338a314c8bc36fdde4e14b8393">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_obj_variable_name_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a915663e2371bb2ee34cbe255e1869ae5">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_obj_variable_number_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8b8be9c9333a7454492af3f44e6581f7">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_solution_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0d93d6e18e829961aa0c8fb3d6a0b71d">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_wall_time_needed_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a204cd42e0b85b37541c9a589168b3f96">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>MAiNGOReaderWriter()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a874014de97ee784da3f5251999956b66">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>operator=()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a00df7e21ef6135e7614c6227659509e7">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>print_problem_info_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a974e83a9236076a342791cd6d0f9e85c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>print_problem_info_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af78062e5ea1cf2effa0fcd1d6882dadc">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>read_GAMS_convert_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a483e97f491ed1ec3ba30b9416e17138f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>read_MAiNGO_log_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a7d9f98c5950d309c4094c601f62223bd">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>write_ALE_problem_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#adfd584ea821b9efa7441c084e9d5705a">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>write_MAiNGO_problem_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8c61d0c87421db0912d31f3b79314a3b">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_0x7e"></a>- ~ -</h3><ul>
<li>~MAiNGOReaderWriter()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a67f25603b03c20b7033cd58e94f92a63">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
